Subject: bug#17840: [PATCH] libtool: Use 'file' instead of '/usr/bin/file' on GNU systems.

From: Bob Friesenhahn <[email-masked]>
Date: Tue, 24 Jun 2014 08:35:30 -0500 (CDT)

On Mon, 23 Jun 2014, Ludovic Courtès wrote:

> Hello,
>
> The patch below changes occurrences of ‘/usr/bin/file’ to just ‘file’.
>
> The impetus is that on systems using GNU Guix, NixOS, GoboLinux, and
> others, the ‘file’ command is not available as /usr/bin/file, so it must
> instead be taken from $PATH.
>
> (I conservatively left ‘/usr/bin/file’ for more centralized systems such
> as BSD, IRIX, etc. where it’s more likely to be a valid command.)

Were you able to re-test on all of the impacted platforms?

The reason for the hard-coded path is because there are a number of 
different 'file' programs and libtool expects particular output from 
the 'file' program that it uses.  If the 'file' encountered via PATH 
is not the same as the common one available as ‘/usr/bin/file’ on GNU 
systems, then there would be a problem.

Bob
-- 
Bob Friesenhahn
[email-masked], http://www.simplesystems.org/users/bfriesen/
GraphicsMagick Maintainer,    http://www.GraphicsMagick.org/